#include<bits/stdc++.h>
using namespace std;
int n;
double suma,trSuma;
int a[20000];
double p[20000];
int main()
{
    cin>>n;
    for(int i=0;i<n;i++)
        cin>>a[i]>>p[i];
    for(int i=0;i<n-1;i++)
        for(int j=i+1;j<n;j++)
    {
        if(p[i]>p[j]) {swap(p[i],p[j]); swap(a[i],a[j]);}
    }
    for(int i=0;i<n;i++)
    {
        for(int j=i;j<n;j++)
        {
            trSuma+=p[i]/100*a[j];
        }
        if(trSuma>suma)
        {
            suma=trSuma;
            trSuma=0;
        }
    }
        cout<<fixed<<setprecision(4)<<suma;

    /*4
100001 83.2
40001 20
90001 77.32
300001 1.88*/
}